.radio {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    position: relative;
    display: inline-block;

    &__input {
        @include visually-hidden();
    }

    &__label {
        color: black;
        cursor: pointer;
        font-size: rem(16);
        line-height: 20px;
        position: relative;
        padding-left: 36px;
        display: block;

        &::before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: 20px;
            height: 20px;
            display: block;
            position: absolute;
            border-radius: rem(5);
            border: 1px solid #E5E5E5;
        }

        &:after {
            top: 5px;
            left: 5px;
            z-index: 2;
            content: '';
            width: 10px;
            height: 10px;
            display: block;
            opacity: 0;
            visibility: hidden;
            position: absolute;
            background: rgba(102, 102, 102, 0.55);
            border-radius: 50%;
        }
    }


    &__input:checked + .radio__label {

        &::before {
            border-color: #D7D7D7;
        }

        &::after {
            opacity: 1;
            visibility: visible;
        }
    }

    &__input:disabled + .radio__label {
        opacity: 0.5;
    }
}
